- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKText Class Reference

`#include <IWORKText.h>`

## Public Member Functions
| IWORKText (bool discardEmptyContent)
void | pushLayoutStyle (const IWORKStylePtr_t &style)
void | pushParagraphStyle (const IWORKStylePtr_t &style)
void | openLayout (const IWORKStylePtr_t &style=IWORKStylePtr_t())
void | closeLayout ()
void | openParagraph (const IWORKStylePtr_t &style=IWORKStylePtr_t())
void | closeParagraph ()
void | openSpan (const IWORKStylePtr_t &style=IWORKStylePtr_t())
void | closeSpan ()
void | openLink (const std::string &url)
void | closeLink ()
void | insertText (const std::string &text)
void | insertTab ()
void | insertLineBreak ()
void | insertInlineContent (const IWORKOutputElements &elements)
void | insertBlockContent (const IWORKOutputElements &elements)
bool | empty () const
void | draw (IWORKOutputElements &elements)

## Private Member Functions
void | doOpenPara ()
void | doClosePara ()
void | doOpenSpan ()
void | doCloseSpan ()
void | flushSpan ()

## Private Attributes
IWORKStyleStack | m_layoutStyleStack
IWORKStyleStack | m_paraStyleStack
IWORKOutputElements | m_elements
bool | m_sectionOpened
IWORKStylePtr_t | m_currentParaStyle
bool | m_paraOpened
bool | m_ignoreEmptyPara
IWORKStylePtr_t | m_currentSpanStyle
bool | m_spanOpened
bool | m_pendingSpanClose
bool | m_inSpan

## Constructor & Destructor Documentation

libetonyek::IWORKText::IWORKText | ( | bool | discardEmptyContent | ) |
| explicit

## Member Function Documentation

void libetonyek::IWORKText::closeLayout | ( |  | ) |

void libetonyek::IWORKText::closeLink | ( |  | ) |

void libetonyek::IWORKText::closeParagraph | ( |  | ) |

void libetonyek::IWORKText::closeSpan | ( |  | ) |

void libetonyek::IWORKText::doClosePara | ( |  | ) |
| private

Referenced by closeParagraph(), and insertBlockContent().

void libetonyek::IWORKText::doCloseSpan | ( |  | ) |
| private

Referenced by closeLink(), doClosePara(), flushSpan(), and openLink().

void libetonyek::IWORKText::doOpenPara | ( |  | ) |
| private

Referenced by closeParagraph(), doOpenSpan(), and openLink().

void libetonyek::IWORKText::doOpenSpan | ( |  | ) |
| private

Referenced by flushSpan().

void libetonyek::IWORKText::draw | ( | IWORKOutputElements & | elements | ) |

bool libetonyek::IWORKText::empty | ( |  | ) | const

void libetonyek::IWORKText::flushSpan | ( |  | ) |
| private

Referenced by insertInlineContent(), insertLineBreak(), insertTab(), and insertText().

void libetonyek::IWORKText::insertBlockContent | ( | const IWORKOutputElements & | elements | ) |

void libetonyek::IWORKText::insertInlineContent | ( | const IWORKOutputElements & | elements | ) |

void libetonyek::IWORKText::insertLineBreak | ( |  | ) |

void libetonyek::IWORKText::insertTab | ( |  | ) |

void libetonyek::IWORKText::insertText | ( | const std::string & | text | ) |

void libetonyek::IWORKText::openLayout | ( | const IWORKStylePtr_t & | style = `IWORKStylePtr_t()` | ) |

void libetonyek::IWORKText::openLink | ( | const std::string & | url | ) |

void libetonyek::IWORKText::openParagraph | ( | const IWORKStylePtr_t & | style = `IWORKStylePtr_t()` | ) |

void libetonyek::IWORKText::openSpan | ( | const IWORKStylePtr_t & | style = `IWORKStylePtr_t()` | ) |

void libetonyek::IWORKText::pushLayoutStyle | ( | const IWORKStylePtr_t & | style | ) |

void libetonyek::IWORKText::pushParagraphStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

IWORKStylePtr_t libetonyek::IWORKText::m_currentParaStyle
| private

Referenced by doOpenPara(), and openParagraph().

IWORKStylePtr_t libetonyek::IWORKText::m_currentSpanStyle
| private

Referenced by closeSpan(), doOpenSpan(), and openSpan().

IWORKOutputElements libetonyek::IWORKText::m_elements
| private

Referenced by closeLayout(), closeLink(), doClosePara(), doCloseSpan(), doOpenPara(), doOpenSpan(), draw(), empty(), insertBlockContent(), insertInlineContent(), insertLineBreak(), insertTab(), insertText(), openLayout(), and openLink().

bool libetonyek::IWORKText::m_ignoreEmptyPara
| private

Referenced by closeParagraph(), and insertBlockContent().

bool libetonyek::IWORKText::m_inSpan
| private

Referenced by doCloseSpan(), insertInlineContent(), insertLineBreak(), insertTab(), insertText(), and openSpan().

IWORKStyleStack libetonyek::IWORKText::m_layoutStyleStack
| private

Referenced by closeLayout(), openLayout(), and pushLayoutStyle().

bool libetonyek::IWORKText::m_paraOpened
| private

Referenced by closeLayout(), closeParagraph(), doClosePara(), doCloseSpan(), doOpenPara(), doOpenSpan(), insertBlockContent(), openLayout(), openLink(), and openParagraph().

IWORKStyleStack libetonyek::IWORKText::m_paraStyleStack
| private

Referenced by doClosePara(), doOpenPara(), doOpenSpan(), and pushParagraphStyle().

bool libetonyek::IWORKText::m_pendingSpanClose
| private

Referenced by closeSpan(), doCloseSpan(), doOpenSpan(), flushSpan(), and openSpan().

bool libetonyek::IWORKText::m_sectionOpened
| private

Referenced by closeLayout(), and openLayout().

bool libetonyek::IWORKText::m_spanOpened
| private

Referenced by closeLink(), doClosePara(), doCloseSpan(), doOpenSpan(), flushSpan(), and openLink().

The documentation for this class was generated from the following files:

- IWORKText.h
- IWORKText.cpp